﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.Linq;
using MvcApp.Models;
using Syncfusion.JavaScript.Models;
using Syncfusion.EJ.Export;
using System.Web.Script.Serialization;
using System.Reflection;


namespace MvcApp.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var data = new NorthwindDataContext().EmployeeViews.ToList();
            ViewBag.datsource1 = data;
            ViewBag.datasource2 = new NorthwindDataContext().OrdersViews.ToList();
            return View();
        }
        public ActionResult DataSource(DataManager value)
        {
            IEnumerable Data = OrderRepository.GetAllRecords();


            Syncfusion.JavaScript.DataSources.DataOperations operation = new Syncfusion.JavaScript.DataSources.DataOperations();
            if (value.Where != null && value.Where.Count > 0) //Filtering
            {
                Data = operation.PerformWhereFilter(Data, value.Where, value.Where[0].Operator);
            }
           
            if (value.Skip != 0)
            {
                Data = operation.PerformSkip(Data, value.Skip);
            }
            if (value.Take != 0)
            {
                Data = operation.PerformTake(Data, value.Take);
            }
            int count = Data.AsQueryable().Count();
            return Json(new { result = Data.ToList<EditableOrder>().ToArray(), count = count }, JsonRequestBehavior.AllowGet);
        }
        
    }
    
}
